org.apache.commons.net.nntp

## Class NNTPReply

- java.lang.Object
- - org.apache.commons.net.nntp.NNTPReply

-     public final class NNTPReply
      extends Object

  NNTPReply stores a set of constants for NNTP reply codes. To interpret the meaning of the codes, familiarity with RFC 977 is assumed. The mnemonic constant names are transcriptions from the code descriptions of RFC 977.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARTICLE_LIST_BY_MESSAGE_ID_FOLLOWS` NNTP reply code 230.
    `static int` | `ARTICLE_NOT_WANTED` NNTP reply code 435.
    `static int` | `ARTICLE_POSTED_OK` NNTP reply code 240.
    `static int` | `ARTICLE_REJECTED` NNTP reply code 437.
    `static int` | `ARTICLE_RETRIEVED_BODY_FOLLOWS` NNTP reply code 222.
    `static int` | `ARTICLE_RETRIEVED_HEAD_AND_BODY_FOLLOW` NNTP reply code 220.
    `static int` | `ARTICLE_RETRIEVED_HEAD_FOLLOWS` NNTP reply code 221.
    `static int` | `ARTICLE_RETRIEVED_REQUEST_TEXT_SEPARATELY` NNTP reply code 223.
    `static int` | `ARTICLE_TRANSFERRED_OK` NNTP reply code 235.
    `static int` | `AUTHENTICATION_ACCEPTED` NNTP reply code 281.
    `static int` | `AUTHENTICATION_REJECTED` NNTP reply code 482.
    `static int` | `AUTHENTICATION_REQUIRED` NNTP reply code 480.
    `static int` | `CLOSING_CONNECTION` NNTP reply code 205.
    `static int` | `COMMAND_NOT_RECOGNIZED` NNTP reply code 500.
    `static int` | `COMMAND_SYNTAX_ERROR` NNTP reply code 501.
    `static int` | `DEBUG_OUTPUT` NNTP reply code 199.
    `static int` | `GROUP_SELECTED` NNTP reply code 211.
    `static int` | `HELP_TEXT_FOLLOWS` NNTP reply code 100.
    `static int` | `MORE_AUTH_INFO_REQUIRED` NNTP reply code 381.
    `static int` | `NEW_NEWSGROUP_LIST_FOLLOWS` NNTP reply code 231.
    `static int` | `NO_CURRENT_ARTICLE_SELECTED` NNTP reply code 420.
    `static int` | `NO_NEWSGROUP_SELECTED` NNTP reply code 412.
    `static int` | `NO_NEXT_ARTICLE` NNTP reply code 421.
    `static int` | `NO_PREVIOUS_ARTICLE` NNTP reply code 422.
    `static int` | `NO_SUCH_ARTICLE_FOUND` NNTP reply code 430.
    `static int` | `NO_SUCH_ARTICLE_NUMBER` NNTP reply code 423.
    `static int` | `NO_SUCH_NEWSGROUP` NNTP reply code 411.
    `static int` | `PERMISSION_DENIED` NNTP reply code 502.
    `static int` | `POSTING_FAILED` NNTP reply code 441.
    `static int` | `POSTING_NOT_ALLOWED` NNTP reply code 440.
    `static int` | `PROGRAM_FAULT` NNTP reply code 503.
    `static int` | `SEND_ARTICLE_TO_POST` NNTP reply code 340.
    `static int` | `SEND_ARTICLE_TO_TRANSFER` NNTP reply code 335.
    `static int` | `SERVER_READY_POSTING_ALLOWED` NNTP reply code 200.
    `static int` | `SERVER_READY_POSTING_NOT_ALLOWED` NNTP reply code 201.
    `static int` | `SERVICE_DISCONTINUED` NNTP reply code 400.
    `static int` | `SLAVE_STATUS_NOTED` NNTP reply code 202.
    `static int` | `TRANSFER_FAILED` NNTP reply code 436.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isInformational(int reply)` Tests if a reply code is an informational response.
    `static boolean` | `isNegativePermanent(int reply)` Tests if a reply code is a negative permanent response.
    `static boolean` | `isNegativeTransient(int reply)` Tests if a reply code is a negative transient response.
    `static boolean` | `isPositiveCompletion(int reply)` Tests if a reply code is a positive completion response.
    `static boolean` | `isPositiveIntermediate(int reply)` Tests if a reply code is a positive intermediate response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARTICLE_LIST_BY_MESSAGE_ID_FOLLOWS

          public static final int ARTICLE_LIST_BY_MESSAGE_ID_FOLLOWS

      NNTP reply code 230.
      See Also:
        Constant Field Values

    - #### ARTICLE_NOT_WANTED

          public static final int ARTICLE_NOT_WANTED

      NNTP reply code 435.
      See Also:
        Constant Field Values

    - #### ARTICLE_POSTED_OK

          public static final int ARTICLE_POSTED_OK

      NNTP reply code 240.
      See Also:
        Constant Field Values

    - #### ARTICLE_REJECTED

          public static final int ARTICLE_REJECTED

      NNTP reply code 437.
      See Also:
        Constant Field Values

    - #### ARTICLE_RETRIEVED_BODY_FOLLOWS

          public static final int ARTICLE_RETRIEVED_BODY_FOLLOWS

      NNTP reply code 222.
      See Also:
        Constant Field Values

    - #### ARTICLE_RETRIEVED_HEAD_AND_BODY_FOLLOW

          public static final int ARTICLE_RETRIEVED_HEAD_AND_BODY_FOLLOW

      NNTP reply code 220.
      See Also:
        Constant Field Values

    - #### ARTICLE_RETRIEVED_HEAD_FOLLOWS

          public static final int ARTICLE_RETRIEVED_HEAD_FOLLOWS

      NNTP reply code 221.
      See Also:
        Constant Field Values

    - #### ARTICLE_RETRIEVED_REQUEST_TEXT_SEPARATELY

          public static final int ARTICLE_RETRIEVED_REQUEST_TEXT_SEPARATELY

      NNTP reply code 223.
      See Also:
        Constant Field Values

    - #### ARTICLE_TRANSFERRED_OK

          public static final int ARTICLE_TRANSFERRED_OK

      NNTP reply code 235.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_ACCEPTED

          public static final int AUTHENTICATION_ACCEPTED

      NNTP reply code 281.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_REJECTED

          public static final int AUTHENTICATION_REJECTED

      NNTP reply code 482.
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_REQUIRED

          public static final int AUTHENTICATION_REQUIRED

      NNTP reply code 480.
      See Also:
        Constant Field Values

    - #### CLOSING_CONNECTION

          public static final int CLOSING_CONNECTION

      NNTP reply code 205.
      See Also:
        Constant Field Values

    - #### COMMAND_NOT_RECOGNIZED

          public static final int COMMAND_NOT_RECOGNIZED

      NNTP reply code 500.
      See Also:
        Constant Field Values

    - #### COMMAND_SYNTAX_ERROR

          public static final int COMMAND_SYNTAX_ERROR

      NNTP reply code 501.
      See Also:
        Constant Field Values

    - #### DEBUG_OUTPUT

          public static final int DEBUG_OUTPUT

      NNTP reply code 199.
      See Also:
        Constant Field Values

    - #### GROUP_SELECTED

          public static final int GROUP_SELECTED

      NNTP reply code 211.
      See Also:
        Constant Field Values

    - #### HELP_TEXT_FOLLOWS

          public static final int HELP_TEXT_FOLLOWS

      NNTP reply code 100.
      See Also:
        Constant Field Values

    - #### MORE_AUTH_INFO_REQUIRED

          public static final int MORE_AUTH_INFO_REQUIRED

      NNTP reply code 381.
      See Also:
        Constant Field Values

    - #### NEW_NEWSGROUP_LIST_FOLLOWS

          public static final int NEW_NEWSGROUP_LIST_FOLLOWS

      NNTP reply code 231.
      See Also:
        Constant Field Values

    - #### NO_CURRENT_ARTICLE_SELECTED

          public static final int NO_CURRENT_ARTICLE_SELECTED

      NNTP reply code 420.
      See Also:
        Constant Field Values

    - #### NO_NEWSGROUP_SELECTED

          public static final int NO_NEWSGROUP_SELECTED

      NNTP reply code 412.
      See Also:
        Constant Field Values

    - #### NO_NEXT_ARTICLE

          public static final int NO_NEXT_ARTICLE

      NNTP reply code 421.
      See Also:
        Constant Field Values

    - #### NO_PREVIOUS_ARTICLE

          public static final int NO_PREVIOUS_ARTICLE

      NNTP reply code 422.
      See Also:
        Constant Field Values

    - #### NO_SUCH_ARTICLE_FOUND

          public static final int NO_SUCH_ARTICLE_FOUND

      NNTP reply code 430.
      See Also:
        Constant Field Values

    - #### NO_SUCH_ARTICLE_NUMBER

          public static final int NO_SUCH_ARTICLE_NUMBER

      NNTP reply code 423.
      See Also:
        Constant Field Values

    - #### NO_SUCH_NEWSGROUP

          public static final int NO_SUCH_NEWSGROUP

      NNTP reply code 411.
      See Also:
        Constant Field Values

    - #### PERMISSION_DENIED

          public static final int PERMISSION_DENIED

      NNTP reply code 502.
      See Also:
        Constant Field Values

    - #### POSTING_FAILED

          public static final int POSTING_FAILED

      NNTP reply code 441.
      See Also:
        Constant Field Values

    - #### POSTING_NOT_ALLOWED

          public static final int POSTING_NOT_ALLOWED

      NNTP reply code 440.
      See Also:
        Constant Field Values

    - #### PROGRAM_FAULT

          public static final int PROGRAM_FAULT

      NNTP reply code 503.
      See Also:
        Constant Field Values

    - #### SEND_ARTICLE_TO_POST

          public static final int SEND_ARTICLE_TO_POST

      NNTP reply code 340.
      See Also:
        Constant Field Values

    - #### SEND_ARTICLE_TO_TRANSFER

          public static final int SEND_ARTICLE_TO_TRANSFER

      NNTP reply code 335.
      See Also:
        Constant Field Values

    - #### SERVER_READY_POSTING_ALLOWED

          public static final int SERVER_READY_POSTING_ALLOWED

      NNTP reply code 200.
      See Also:
        Constant Field Values

    - #### SERVER_READY_POSTING_NOT_ALLOWED

          public static final int SERVER_READY_POSTING_NOT_ALLOWED

      NNTP reply code 201.
      See Also:
        Constant Field Values

    - #### SERVICE_DISCONTINUED

          public static final int SERVICE_DISCONTINUED

      NNTP reply code 400.
      See Also:
        Constant Field Values

    - #### SLAVE_STATUS_NOTED

          public static final int SLAVE_STATUS_NOTED

      NNTP reply code 202.
      See Also:
        Constant Field Values

    - #### TRANSFER_FAILED

          public static final int TRANSFER_FAILED

      NNTP reply code 436.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isInformational

          public static boolean isInformational(int reply)

      Tests if a reply code is an informational response. All codes beginning with a 1 are positive informational responses. Informational responses are used to provide human-readable information such as help text.
      Parameters:
        `reply` - The reply code to test.
      Returns:
        True if a reply code is an informational response, false if not.

    - #### isNegativePermanent

          public static boolean isNegativePermanent(int reply)

      Tests if a reply code is a negative permanent response. All codes beginning with a 5 are negative permanent responses. The NNTP server will send a negative permanent response when it does not implement a command, a command is incorrectly formatted, or a serious program error occurs.
      Parameters:
        `reply` - The reply code to test.
      Returns:
        True if a reply code is a negative permanent response, false if not.

    - #### isNegativeTransient

          public static boolean isNegativeTransient(int reply)

      Tests if a reply code is a negative transient response. All codes beginning with a 4 are negative transient responses. The NNTP server will send a negative transient response on the failure of a correctly formatted command that could not be performed for some reason. For example, retrieving an article that does not exist will result in a negative transient response.
      Parameters:
        `reply` - The reply code to test.
      Returns:
        True if a reply code is a negative transient response, false if not.

    - #### isPositiveCompletion

          public static boolean isPositiveCompletion(int reply)

      Tests if a reply code is a positive completion response. All codes beginning with a 2 are positive completion responses. The NNTP server will send a positive completion response on the final successful completion of a command.
      Parameters:
        `reply` - The reply code to test.
      Returns:
        True if a reply code is a positive completion response, false if not.

    - #### isPositiveIntermediate

          public static boolean isPositiveIntermediate(int reply)

      Tests if a reply code is a positive intermediate response. All codes beginning with a 3 are positive intermediate responses. The NNTP server will send a positive intermediate response on the successful completion of one part of a multipart command or sequence of commands. For example, after a successful POST command, a positive intermediate response will be sent to indicate that the server is ready to receive the article to be posted.
      Parameters:
        `reply` - The reply code to test.
      Returns:
        True if a reply code is a positive intermediate response, false if not.